### Hierarchy

- unknown
  - GetOfferReply

## Index

### Constructors

- constructor

### Methods

- clearOffer
- getOffer
- hasOffer
- serializeBinary
- setOffer
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetOfferReply(): GetOfferReply

- Inherited from jspb.Message.constructor

  #### Returns GetOfferReply

## Methods

### clearOffer

- clearOffer(): GetOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:1331

  #### Returns GetOfferReply

### getOffer

- getOffer(): undefined | OfferInfo

- - Defined in src/protobuf/grpc_pb.d.ts:1328

  #### Returns undefined | OfferInfo

### hasOffer

- hasOffer(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1330

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1333

  #### Returns Uint8Array

### setOffer

- setOffer(value?: OfferInfo ): GetOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:1329

  #### Parameters

  - ##### Optional value: OfferInfo

  #### Returns GetOfferReply

### toObject

- toObject(includeInstance?: boolean): GetOfferReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1334

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetOfferReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:1337

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetOfferReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetOfferReply, reader: BinaryReader): GetOfferReply

- - Defined in src/protobuf/grpc_pb.d.ts:1338

  #### Parameters

  - ##### message: GetOfferReply

  - ##### reader: BinaryReader

  #### Returns GetOfferReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetOfferReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1336

  #### Parameters

  - ##### message: GetOfferReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetOfferReply ): GetOfferReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1335

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetOfferReply

  #### Returns GetOfferReply . AsObject

Generated using TypeDoc